Package org.bukkit.configuration.file

# Class YamlRepresenter

java.lang.Object
org.yaml.snakeyaml.representer.BaseRepresenter
org.yaml.snakeyaml.representer.Representer
org.bukkit.configuration.file.YamlRepresenter

public class YamlRepresenter extends Representer

## Nested Class Summary

## Nested classes/interfaces inherited from class org.yaml.snakeyaml.representer.Representer

`Representer.RepresentJavaBean`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map<Class<? extends Object>,Tag>`
`classTags`
`protected DumperOptions.NonPrintableStyle`
`nonPrintableStyle`
`protected TimeZone`
`timeZone`

### Fields inherited from class org.yaml.snakeyaml.representer.Representer

`typeDefinitions`

### Fields inherited from class org.yaml.snakeyaml.representer.BaseRepresenter

`defaultFlowStyle, defaultScalarStyle, multiRepresenters, nullRepresenter, objectToRepresent, representedObjects, representers`

## Constructor Summary

Constructors
Constructor
Description
`YamlRepresenter()`

## Method Summary

Modifier and Type
Method
Description
`Tag`
`addClassTag(Class<? extends Object> arg0, Tag arg1)`
`protected Tag`
`getTag(Class<?> arg0, Tag arg1)`
`TimeZone`
`getTimeZone()`
`void`
`setTimeZone(TimeZone arg0)`

### Methods inherited from class org.yaml.snakeyaml.representer.Representer

`addTypeDescription, checkGlobalTag, getProperties, representJavaBean, representJavaBeanProperty, setPropertyUtils`

### Methods inherited from class org.yaml.snakeyaml.representer.BaseRepresenter

`getDefaultFlowStyle, getDefaultScalarStyle, getPropertyUtils, isExplicitPropertyUtils, represent, representData, representMapping, representScalar, representScalar, representSequence, setDefaultFlowStyle, setDefaultScalarStyle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### classTags

protected Map<Class<? extends Object>,Tag> classTags

### timeZone

protected TimeZone timeZone

### nonPrintableStyle

protected DumperOptions.NonPrintableStyle nonPrintableStyle

## Constructor Details

### YamlRepresenter

public YamlRepresenter()

## Method Details

### getTag

protected Tag getTag(Class<?> arg0, Tag arg1)

### addClassTag

public Tag addClassTag(Class<? extends Object> arg0, Tag arg1)

### getTimeZone

public TimeZone getTimeZone()

### setTimeZone

public void setTimeZone(TimeZone arg0)